×

Welcome to TagMyCode

Please login or create account to add a snippet.
0
0
 
0
Language: Bash
Posted by: Massimo Zappino
Added: Sep 25, 2012 8:58 AM
Modified: Aug 11, 2017 2:35 PM
Views: 114
If your wordpress is not able to update via ftp and you get an error like "SECURITY VIOLATION" in your proftpd.log, probably you need to change your ProFTPD configuration
  1. #If you get this error in your /var/log/proftpd/proftpd.log
  2.  
  3. "SECURITY VIOLATION: Passive connection from a.b.c.d rejected"
  4.  
  5. # You need to add the AllowForeignAddress directive in your proftpd.conf file.
  6.  
  7. sudo nano /etc/proftpd/proftpd.conf
  8.  
  9. # add this line at the end of file
  10.  
  11. AllowForeignAddress on
  12.